angular.module('focaModalFlete')
    .controller('focaModalFleteController', 
        [
            '$filter',
            '$scope',
            '$uibModalInstance',
            'parametrosFlete',
            function($filter, $scope, $uibModalInstance, parametrosFlete) {
                $scope.parametrosFlete = parametrosFlete;
                $scope.aceptar = function() {
                    var parametrosFlete = {
                        flete: $scope.parametrosFlete.flete === '1' ? true : false,
                        FOB: $scope.parametrosFlete.flete === 'FOB' ? true : false,
                        bomba: $scope.parametrosFlete.bomba === '1' ? true : false,
                        kilometros: $scope.parametrosFlete.kilometros
                    };
                    $uibModalInstance.close(parametrosFlete);
                };

                $scope.cancel = function() {
                    $uibModalInstance.dismiss('cancel');
                };
                
                $scope.validar = function() {
                    return !$scope.parametrosFlete.flete ||
                    (
                        $scope.parametrosFlete.flete === '1' &&
                        (
                            (
                                $scope.parametrosFlete.bomba !== '1' &&
                                $scope.parametrosFlete.bomba !== '0'
                            ) ||
                            (
                                !$scope.parametrosFlete.kilometros ||
                                $scope.parametrosFlete.kilometros < 1
                            )
                        )
                    );
                }
            }
        ]
    );
